ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APIContactsLog Follow-Up Check-in

Log Follow-Up Check-in

Logs a follow-up touchpoint in the cadence sequence. Automatically increments the sequence counter ([LEAD X/Y] CHECKIN), updates last_followup_sent_at, resets replied_since_last_followup to false, and transitions cadence status to completed when max attempts are reached.

POST/api/v1/contacts/{id}/followups

Body Parameters

1 parameter
{id}uuidrequired

Contact UUID

Request Body Schema

application/json
summarystringrequired

Follow-up message content or discussion notes

Example:Checked in regarding enterprise tier pricing
channelstringoptional

Channel: whatsapp, email, call, sms (default: whatsapp)

Example:whatsapp
template_namestringoptional

WhatsApp template identifier used for touchpoint

Example:cs_enquiry_note
statusstringoptional

Status: draft, scheduled, sent, delivered, read, failed (default: delivered)

Example:delivered
next_followup_atdatetimeoptional

Next scheduled follow-up ISO timestamp (IST)

Example:2026-11-02T10:00:00+05:30

Response Payload

200 OKapplication/json
successbooleanrequired

Whether request succeeded

data.followup.iduuidrequired

Recorded follow-up log UUID

data.followup.sequence_numbernumberrequired

Touchpoint sequence number

data.contact.followup_countnumberrequired

Updated contact follow-up count

data.contact.replied_since_last_followupbooleanrequired

Whether customer replied since last touchpoint

Code Snippets & Examples

1curl -X POST "https://app.chatofy.in/api/v1/contacts/c1111111-2222-3333-4444-555555555555/followups" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"channel":"whatsapp","template_name":"cs_enquiry_note","summary":"Checked in regarding enterprise tier pricing","next_followup_at":"2026-11-02T10:00:00+05:30"}'

Was this endpoint guide helpful?

Previous Endpoint
Get Follow-Up Cadence & History
Next Endpoint
Send Text Message
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X POST "https://app.chatofy.in/api/v1/contacts/c1111111-2222-3333-4444-555555555555/followups" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"channel":"whatsapp","template_name":"cs_enquiry_note","summary":"Checked in regarding enterprise tier pricing","next_followup_at":"2026-11-02T10:00:00+05:30"}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "followup": {
5 "id": "fol-00000000-0000-0000-0000-000000000003",
6 "organization_id": "51210000001",
7 "contact_id": "c1111111-2222-3333-4444-555555555555",
8 "sequence_number": 3,
9 "channel": "whatsapp",
10 "template_name": "cs_enquiry_note",
11 "summary": "Checked in regarding enterprise tier pricing",
12 "status": "delivered",
13 "sent_at": "2026-10-30T15:45:00+05:30",
14 "created_by": "u1111111-2222-3333-4444-555555555555",
15 "created_at": "2026-10-30T15:45:00+05:30",
16 "updated_at": "2026-10-30T15:45:00+05:30"
17 },
18 "contact": {
19 "id": "c1111111-2222-3333-4444-555555555555",
20 "followup_count": 3,
21 "max_followup_attempts": 5,
22 "followup_cadence_status": "active",
23 "next_followup_at": "2026-11-02T10:00:00+05:30",
24 "last_followup_sent_at": "2026-10-30T15:45:00+05:30",
25 "replied_since_last_followup": false
26 }
27 },
28 "message": "Follow-up logged successfully"
29}